Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1901628

Summary: SIGILL on i7-3770 when starting gnome-shell via Xvnc
Product: [Fedora] Fedora Reporter: Till Hofmann <thofmann>
Component: mesaAssignee: Adam Jackson <ajax>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: ajax, bskeggs, caillon+fedoraproject, igor.raits, jadahl, jglisse, lyude, rclark, rhughes, rstrode, tstellar
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mesa-20.2.3-1.fc33 mesa-20.2.3-1.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-30 17:51:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
coredumpctl info none

Description Till Hofmann 2020-11-25 17:00:58 UTC
Created attachment 1733413 [details]
coredumpctl info

Created attachment 1733413 [details]
coredumpctl info

Description of problem:
gnome-shell crashes with a SIGILL right after login when logging in via Xvnc. It looks like this is caused by mesa-dri-drivers in /usr/lib64/dri/swrast_dri.so, but I could be mistaken:
                Stack trace of thread 16677:
                #0  0x00007fe05c7810d4 n/a (n/a + 0x0)
                #1  0x00007fe0c0bef1d4 llvm_pipeline_generic.constprop.0 (swrast_dri.so + 0x60b1d4)
                #2  0x00007fe0c0bef9bf llvm_middle_end_linear_run (swrast_dri.so + 0x60b9bf)
                #3  0x00007fe0c0baaf9a vsplit_run_linear (swrast_dri.so + 0x5c6f9a)
                #4  0x00007fe0c0ba4b87 draw_vbo (swrast_dri.so + 0x5c0b87)
                #5  0x00007fe0c0c678bb llvmpipe_draw_vbo (swrast_dri.so + 0x6838bb)
                #6  0x00007fe0c0720348 st_draw_vbo (swrast_dri.so + 0x13c348)
                #7  0x00007fe0c095f474 _mesa_draw_arrays.constprop.0 (swrast_dri.so + 0x37b474)
                #8  0x00007fe0c7cc2cdf _cogl_journal_flush_modelview_and_entries (libmutter-cogl-7.so.0 + 0x51cdf)
                #9  0x00007fe0c7cc3096 _cogl_journal_flush_texcoord_vbo_offsets_and_entries (libmutter-cogl-7.so.0 + 0x52096)
                #10 0x00007fe0c7cc32ec _cogl_journal_flush_vbo_offsets_and_entries (libmutter-cogl-7.so.0 + 0x522ec)
                #11 0x00007fe0c7cc5527 _cogl_journal_flush_viewport_and_entries (libmutter-cogl-7.so.0 + 0x54527)
                #12 0x00007fe0c7cc5af3 _cogl_journal_flush.part.0 (libmutter-cogl-7.so.0 + 0x54af3)
                #13 0x00007fe0c7cc7d5c cogl_onscreen_swap_buffers_with_damage (libmutter-cogl-7.so.0 + 0x56d5c)
                #14 0x00007fe0c848045b swap_framebuffer (libmutter-clutter-7.so.0 + 0xc245b)
                #15 0x00007fe0c8480def clutter_stage_cogl_redraw_view (libmutter-clutter-7.so.0 + 0xc2def)
                #16 0x00007fe0c8464580 handle_frame_clock_frame (libmutter-clutter-7.so.0 + 0xa6580)
                #17 0x00007fe0c8431b60 frame_clock_source_dispatch (libmutter-clutter-7.so.0 + 0x73b60)
                #18 0x00007fe0c8e167ef g_main_context_dispatch (libglib-2.0.so.0 + 0x537ef)
                #19 0x00007fe0c8e685d8 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa55d8)
                #20 0x00007fe0c8e15eb3 g_main_loop_run (libglib-2.0.so.0 + 0x52eb3)
                #21 0x00007fe0c827a0ea meta_run (libmutter-7.so.0 + 0xca0ea)
                #22 0x000055be27d6fc9c main (gnome-shell + 0x2c9c)
                #23 0x00007fe0c800b1e2 __libc_start_main (libc.so.6 + 0x281e2)
                #24 0x000055be27d6fe7e _start (gnome-shell + 0x2e7e)

(full info attached)

Version-Release number of selected component (if applicable):
20.2.2-1.fc33

How reproducible:
always (reproduced on 5 machines)

Steps to Reproduce:
1. Configure tigervnc:
   a. Add user to /etc/tigervnc/vncserver.users
   b. Change default session to gnome-xorg in /etc/tigervnc/vncserver-config-defaults
   c. Start service
2. Connect to server, e.g., with vncviewer
3. Watch Gnome die

I haven't actually checked whether Gnome Xorg works on the machine locally, as I don't have easy physical access due to Covid.
Actual results:
A zombie gnome session. It doesn't stop entirely, but the shell is broken and dies with a SIGILL (see attachment).

Expected results:
A working gnome-shell, as on other CPUs.

Additional info:
I also have a full coredump if that's helpful.

Comment 1 Fedora Update System 2020-11-26 15:18:58 UTC
FEDORA-2020-6337902e3a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6337902e3a

Comment 2 Fedora Update System 2020-11-26 15:19:36 UTC
FEDORA-2020-f3172be480 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3172be480

Comment 3 Fedora Update System 2020-11-27 01:22:59 UTC
FEDORA-2020-6337902e3a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Till Hofmann 2020-11-30 12:58:02 UTC
The problem has reappeared:

                Stack trace of thread 3982:
                #0  0x00007f782a4a9050 n/a (n/a + 0x0)
                #1  0x00007f78b70abca1 lp_rast_shade_tile (swrast_dri.so + 0x695ca1)
                #2  0x00007f78b70ab996 rasterize_scene (swrast_dri.so + 0x695996)
                #3  0x00007f78b70abe3b thread_function (swrast_dri.so + 0x695e3b)
                #4  0x00007f78b70ab6cb impl_thrd_routine (swrast_dri.so + 0x6956cb)
                #5  0x00007f78cac393f9 start_thread (libpthread.so.0 + 0x93f9)
                #6  0x00007f78cb6b2903 __clone (libc.so.6 + 0x101903)

                Stack trace of thread 3978:
                #0  0x00007f78cb6a780f __poll (libc.so.6 + 0xf680f)
                #1  0x00007f78cc436576 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa5576)
                #2  0x00007f78cc3e1bc3 g_main_context_iteration (libglib-2.0.so.0 + 0x50bc3)
                #3  0x00007f78cc3e37e1 glib_worker_main (libglib-2.0.so.0 + 0x527e1)
                #4  0x00007f78cc412132 g_thread_proxy (libglib-2.0.so.0 + 0x81132)
                #5  0x00007f78cac393f9 start_thread (libpthread.so.0 + 0x93f9)
                #6  0x00007f78cb6b2903 __clone (libc.so.6 + 0x101903)

                Stack trace of thread 3983:
                #0  0x00007f782a4a9050 n/a (n/a + 0x0)
                #1  0x00007f78b70abca1 lp_rast_shade_tile (swrast_dri.so + 0x695ca1)
                #2  0x00007f78b70ab996 rasterize_scene (swrast_dri.so + 0x695996)
                #3  0x00007f78b70abe3b thread_function (swrast_dri.so + 0x695e3b)
                #4  0x00007f78b70ab6cb impl_thrd_routine (swrast_dri.so + 0x6956cb)
                #5  0x00007f78cac393f9 start_thread (libpthread.so.0 + 0x93f9)
                #6  0x00007f78cb6b2903 __clone (libc.so.6 + 0x101903)

                Stack trace of thread 4007:
                #0  0x00007f78cac3f6c2 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xf6c2)
                #1  0x00007f78c935812d _ZN7mozilla6detail21ConditionVariableImpl4waitERNS0_9MutexImplE (libmozjs-78.so.0 + 0x8c612d)
                #2  0x00007f78c935a095 _ZN7mozilla6detail21ConditionVariableImpl8wait_forERNS0_9MutexImplERKNS_16BaseTimeDurationINS_27TimeDurationValueCalculatorEEE (libmozjs-78.so.0 + 0x8c8095)
                #3  0x00007f78c8cf11c6 _ZN2js12HelperThread10ThreadMainEPv (libmozjs-78.so.0 + 0x25f1c6)
                #4  0x00007f78c8cf15e9 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-78.so.0 + 0x25f5e9)
                #5  0x00007f78cac393f9 start_thread (libpthread.so.0 + 0x93f9)
                #6  0x00007f78cb6b2903 __clone (libc.so.6 + 0x101903)

                Stack trace of thread 3984:
                #0  0x00007f782a4a9050 n/a (n/a + 0x0)
                #1  0x00007f78b70abca1 lp_rast_shade_tile (swrast_dri.so + 0x695ca1)
                #2  0x00007f78b70ab996 rasterize_scene (swrast_dri.so + 0x695996)
                #3  0x00007f78b70abe3b thread_function (swrast_dri.so + 0x695e3b)
                #4  0x00007f78b70ab6cb impl_thrd_routine (swrast_dri.so + 0x6956cb)
                #5  0x00007f78cac393f9 start_thread (libpthread.so.0 + 0x93f9)
                #6  0x00007f78cb6b2903 __clone (libc.so.6 + 0x101903)

                Stack trace of thread 3990:
                #0  0x00007f78cac3f6c2 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xf6c2)
                #1  0x00007f78b70a918b lp_cs_tpool_worker (swrast_dri.so + 0x69318b)
                #2  0x00007f78b70a910b impl_thrd_routine (swrast_dri.so + 0x69310b)
                #3  0x00007f78cac393f9 start_thread (libpthread.so.0 + 0x93f9)
                #4  0x00007f78cb6b2903 __clone (libc.so.6 + 0x101903)

                Stack trace of thread 3987:
                #0  0x00007f78cac409fa __pthread_barrier_wait (libpthread.so.0 + 0x109fa)
                #1  0x00007f78b70abe2f thread_function (swrast_dri.so + 0x695e2f)
                #2  0x00007f78b70ab6cb impl_thrd_routine (swrast_dri.so + 0x6956cb)
                #3  0x00007f78cac393f9 start_thread (libpthread.so.0 + 0x93f9)
                #4  0x00007f78cb6b2903 __clone (libc.so.6 + 0x101903)

                Stack trace of thread 3989:
                #0  0x00007f782a4a9050 n/a (n/a + 0x0)
                #1  0x00007f78b70abca1 lp_rast_shade_tile (swrast_dri.so + 0x695ca1)
                #2  0x00007f78b70ab996 rasterize_scene (swrast_dri.so + 0x695996)
                #3  0x00007f78b70abe3b thread_function (swrast_dri.so + 0x695e3b)
                #4  0x00007f78b70ab6cb impl_thrd_routine (swrast_dri.so + 0x6956cb)
                #5  0x00007f78cac393f9 start_thread (libpthread.so.0 + 0x93f9)
                #6  0x00007f78cb6b2903 __clone (libc.so.6 + 0x101903)

                Stack trace of thread 3981:
                #0  0x00007f78cb6a780f __poll (libc.so.6 + 0xf680f)
                #1  0x00007f78cc436576 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa5576)
                #2  0x00007f78cc3e1bc3 g_main_context_iteration (libglib-2.0.so.0 + 0x50bc3)
                #3  0x00007f78cc70b64


$ rpm -qi mesa-dri-drivers
Name        : mesa-dri-drivers
Version     : 20.2.3
Release     : 1.fc33
Architecture: x86_64
Install Date: Thu 26 Nov 2020 12:17:13 CET
Group       : Unspecified
Size        : 68948558
License     : MIT
Signature   : RSA/SHA256, Tue 24 Nov 2020 07:42:39 CET, Key ID 49fd77499570ff31
Source RPM  : mesa-20.2.3-1.fc33.src.rpm
Build Date  : Tue 24 Nov 2020 07:12:50 CET
Build Host  : buildvm-x86-09.iad2.fedoraproject.org
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.mesa3d.org
Bug URL     : https://bugz.fedoraproject.org/mesa
Summary     : Mesa-based DRI drivers
Description :
Mesa-based DRI drivers.

Comment 5 Fedora Update System 2020-12-03 01:41:25 UTC
FEDORA-2020-f3172be480 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Till Hofmann 2020-12-15 07:31:54 UTC
Same issue occurs with mesa-dri-drivers-20.2.4-1.

Comment 7 Jonas Ã…dahl 2021-01-29 17:16:46 UTC
Similar issue reported in https://bugzilla.redhat.com/show_bug.cgi?id=1922059.

Comment 8 Ben Cotton 2021-11-04 16:11:31 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2021-11-30 17:51:09 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.